The points of a delivery
const url = 'https://example.com/api/v1/delegations/example/points';const options = { method: 'GET', headers: {cookie: 'bl_%3Cslug%3E_session=%3Cbl_%3Cslug%3E_session%3E'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/delegations/example/points \ --cookie bl_%3Cslug%3E_session=%3Cbl_%3Cslug%3E_session%3EThe points the delivery covers: as supplier from our own system, as rights holder through the supplier’s data plane.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”The id of the delegation (urn:uuid:…).
Responses
Section titled “Responses”OK.
object
The points of one object.
object
object
object
object
object
Objects the backend did not describe this time (unreachable, error).
object
Example generated
{ "objects": [ { "object": "example", "points": [ { "point_id": "example", "name": "example", "class": "example", "access": "example", "unit": "example", "equipment_id": "example", "location_id": "example" } ], "locations": [ { "location_id": "example", "name": "example", "class": "example", "part_of": "example" } ], "groups": [ { "group_id": "example", "name": "example", "equipment_ids": [ "example" ] } ], "equipment": [ { "equipment_id": "example", "class": "example", "name": "example", "location_id": "example" } ] } ], "unavailable": [ { "object": "example", "error": "example" } ]}No valid session, DPoP-bound token or API key.
The body of every failed call to a management API.
object
object
Stable, machine-readable: invalid_request, unauthenticated,
forbidden, not_found, conflict, upstream_unavailable,
unavailable, internal, or a more specific code of the operation.
For people; may change between versions.
Example
{ "error": { "code": "not_found", "message": "unknown negotiation" }}The caller lacks the role this operation needs; or a change with the session cookie came from a page of another site (cross_site_request, decisions #83).
The body of every failed call to a management API.
object
object
Stable, machine-readable: invalid_request, unauthenticated,
forbidden, not_found, conflict, upstream_unavailable,
unavailable, internal, or a more specific code of the operation.
For people; may change between versions.
Example
{ "error": { "code": "not_found", "message": "unknown negotiation" }}Not found.
The body of every failed call to a management API.
object
object
Stable, machine-readable: invalid_request, unauthenticated,
forbidden, not_found, conflict, upstream_unavailable,
unavailable, internal, or a more specific code of the operation.
For people; may change between versions.
Example
{ "error": { "code": "not_found", "message": "unknown negotiation" }}